
@keyframes soulanimationblink {
    0% {
        -webkit-filter: drop-shadow(0px 0px 7px #7ed3d4);
        filter: drop-shadow(0px 0px 7px #7ed3d4);
    }
    50% {
        -webkit-filter: drop-shadow(0px 0px 3px #7ed3d4);
        filter: drop-shadow(0px 0px 3px #7ed3d4);
    }
    100% {
        -webkit-filter: drop-shadow(0px 0px 7px #7ed3d4);
        filter: drop-shadow(0px 0px 7px #7ed3d4);
    }
}
@keyframes soulanimationshow {
    0% {
        opacity: 0;
        transform: translate(-50%, -50%) scale(0.1);
    }
    100% {
        opacity: 1;
        transform: translate(-50%, -50%) scale(1);
    }
}

@keyframes animation_soul_break {
    100% {
        background-position: 0 -800px;
    }
}
@keyframes animation_soul_loop {
    100% {
        background-position: 0 -1920px;
    }
}


.soulanimation {
    position: relative;
    display: inline-block;
    width: 80px;
    height: 80px;
    overflow: hidden;
}
.soulanimation.blink {
    animation: soulanimationblink 0.7s linear infinite;
}
.soulanimation__soul {
    position: absolute;
    left: 0px;
}
.soulanimation__soul--loop {
    width: 100%;
    height: 100%;
    background: no-repeat url("./soul_loop.png");
    background-size: 100% auto;
    animation: animation_soul_loop 0.8s steps(24) infinite;
}
.soulanimation__soul--break {
    width: 100%;
    height: 100%;
    background: no-repeat url("./soul_break.png");
    background-size: 100% auto;
    animation: animation_soul_break 0.8s steps(10) alternate forwards;
}
.soulanimation__item {
    position: absolute;
    top: 50%;
    left: 50%;
    opacity: 0;
    display: none;
}
.soulanimation__item.show {
    display: block;
    animation: soulanimationshow 0.3s 0.7s linear forwards ;
}
